Package be.cin.nip.async.generic

# Class RejectOutb

java.lang.Object
be.cin.nip.async.generic.RejectOutb

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class RejectOutb extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonOutput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonOutputType"/>
             <element name="Origin" type="{urn:be:cin:mycarenet:esb:common:v2}OrigineType"/>
             <element name="Fault" type="{urn:be:cin:types:v1}FaultType"/>
           </sequence>
           <attribute name="msgName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RejectOutb()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonOutputType`
  `getCommonOutput()`
  Gets the value of the commonOutput property.
  `FaultType`
  `getFault()`
  Gets the value of the fault property.
  `String`
  `getMsgName()`
  Gets the value of the msgName property.
  `OrigineType`
  `getOrigin()`
  Gets the value of the origin property.
  `void`
  `setCommonOutput(CommonOutputType value)`
  Sets the value of the commonOutput property.
  `void`
  `setFault(FaultType value)`
  Sets the value of the fault property.
  `void`
  `setMsgName(String value)`
  Sets the value of the msgName property.
  `void`
  `setOrigin(OrigineType value)`
  Sets the value of the origin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RejectOutb

    public RejectOutb()

- ## Method Details

  - ### getCommonOutput

    public CommonOutputType getCommonOutput()
    Gets the value of the commonOutput property.
    Returns:
      possible object is `CommonOutputType`

  - ### setCommonOutput

    public void setCommonOutput(CommonOutputType value)
    Sets the value of the commonOutput property.
    Parameters:
      `value` - allowed object is `CommonOutputType`

  - ### getOrigin

    public OrigineType getOrigin()
    Gets the value of the origin property.
    Returns:
      possible object is `OrigineType`

  - ### setOrigin

    public void setOrigin(OrigineType value)
    Sets the value of the origin property.
    Parameters:
      `value` - allowed object is `OrigineType`

  - ### getFault

    public FaultType getFault()
    Gets the value of the fault property.
    Returns:
      possible object is `FaultType`

  - ### setFault

    public void setFault(FaultType value)
    Sets the value of the fault property.
    Parameters:
      `value` - allowed object is `FaultType`

  - ### getMsgName

    public String getMsgName()
    Gets the value of the msgName property.
    Returns:
      possible object is `String`

  - ### setMsgName

    public void setMsgName(String value)
    Sets the value of the msgName property.
    Parameters:
      `value` - allowed object is `String`